VERSION 5.00
Begin VB.Form frmZStackAcq 
   Caption         =   "Z Stack Acquisition"
   ClientHeight    =   2880
   ClientLeft      =   48
   ClientTop       =   288
   ClientWidth     =   4332
   Icon            =   "ZStackAcq.frx":0000
   LinkTopic       =   "Form1"
   ScaleHeight     =   2880
   ScaleWidth      =   4332
   StartUpPosition =   3  'Windows Default
   Begin VB.TextBox txtDelay 
      Height          =   372
      Left            =   3360
      TabIndex        =   15
      Top             =   1080
      Width           =   852
   End
   Begin VB.CommandButton cmdLaunchCapture 
      Caption         =   "Launch Capture"
      Height          =   372
      Left            =   2640
      TabIndex        =   14
      Top             =   120
      Width           =   1572
   End
   Begin VB.CommandButton cmdCapture 
      Caption         =   "Capture"
      Height          =   372
      Left            =   2640
      TabIndex        =   13
      Top             =   600
      Width           =   1572
   End
   Begin VB.CommandButton cmdSetBot 
      Caption         =   "Set Bottom"
      Height          =   372
      Left            =   120
      TabIndex        =   12
      Top             =   1080
      Width           =   972
   End
   Begin VB.CommandButton cmdSetTop 
      Caption         =   "Set Top"
      Height          =   372
      Left            =   120
      TabIndex        =   11
      Top             =   600
      Width           =   972
   End
   Begin VB.TextBox txtStepSize 
      Height          =   372
      Left            =   1800
      TabIndex        =   8
      Top             =   2040
      Width           =   732
   End
   Begin VB.TextBox txtNumPlanes 
      Height          =   372
      Left            =   1800
      TabIndex        =   7
      Top             =   1560
      Width           =   732
   End
   Begin VB.CommandButton cmdSetStepSize 
      Caption         =   "Set Step Size"
      Height          =   372
      Left            =   120
      TabIndex        =   6
      Top             =   2040
      Width           =   1572
   End
   Begin VB.CommandButton cmdSetNum 
      Caption         =   "Set Num. of Planes"
      Height          =   372
      Left            =   120
      TabIndex        =   5
      Top             =   1560
      Width           =   1572
   End
   Begin VB.CommandButton cmdZStack 
      Caption         =   "Acquire Z Stack"
      Height          =   372
      Left            =   2640
      TabIndex        =   4
      Top             =   1560
      Width           =   1572
   End
   Begin VB.CommandButton cmdExecute 
      Caption         =   "Execute"
      Height          =   372
      Left            =   2640
      TabIndex        =   3
      Top             =   3000
      Width           =   1452
   End
   Begin VB.TextBox txtCommand 
      Height          =   372
      Left            =   120
      TabIndex        =   2
      Top             =   3000
      Width           =   2412
   End
   Begin VB.CommandButton cmdGetTopBot 
      Caption         =   "Get Joystick Top and Bottom"
      Height          =   372
      Left            =   120
      TabIndex        =   0
      Top             =   120
      Width           =   2412
   End
   Begin VB.Label lblDelay 
      Caption         =   "Delay (sec.)"
      Height          =   372
      Left            =   2760
      TabIndex        =   16
      Top             =   1080
      Width           =   492
      WordWrap        =   -1  'True
   End
   Begin VB.Label lblBot 
      BorderStyle     =   1  'Fixed Single
      Height          =   372
      Left            =   1200
      TabIndex        =   10
      Top             =   1080
      Width           =   1332
   End
   Begin VB.Label lblTop 
      BorderStyle     =   1  'Fixed Single
      Height          =   372
      Left            =   1200
      TabIndex        =   9
      Top             =   600
      Width           =   1332
   End
   Begin VB.Label lblMsg 
      BorderStyle     =   1  'Fixed Single
      Height          =   252
      Left            =   120
      TabIndex        =   1
      Top             =   2520
      Width           =   4092
   End
End
Attribute VB_Name = "frmZStackAcq"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private Sub cmdCapture_Click()
   Call CaptureImage
End Sub

Private Sub cmdExecute_Click()
   lblMsg.Caption = FTool.Exec(txtCommand.Text)
End Sub

Private Sub cmdGetTopBot_Click()
   Dim rs As String, wrd As String, ret As Integer
   Dim numobj As Long, w1 As Double, w2 As Double
   rs = FTool.Exec("Obj GetNum"): lblMsg.Caption = rs: DoEvents
   On Error GoTo Err
   ret = Give1stWord(rs, wrd)
   numobj = CLng(wrd)
   lblMsg.Caption = Str$(numobj)
   'GET TWO LAST OBJECTS
   rs = FTool.Exec("Obj Get" & Str(numobj - 1)): lblMsg.Caption = rs: DoEvents
   ret = Give1stWord(rs, wrd): ret = Give1stWord(rs, wrd): ret = Give1stWord(rs, wrd)
   w1 = CDbl(wrd)
   lblMsg.Caption = Str$(w1)
   
   rs = FTool.Exec("Obj Get" & Str(numobj)): lblMsg.Caption = rs: DoEvents
   ret = Give1stWord(rs, wrd): ret = Give1stWord(rs, wrd): ret = Give1stWord(rs, wrd)
   w2 = CDbl(wrd)
   
   'ZTop & BOTTOM
   If (w1 > w2) Then
      ZTop = w2: ZBot = w1
   Else
      ZTop = w1: ZBot = w2
   End If
   Call DisplayValues
   Exit Sub
Err:
   lblMsg.Caption = sErr
End Sub

Private Sub cmdLaunchCapture_Click()
   ahndl = Shell("C:\Program Files\Canon\RemoteCapture\RemoteCapture.exe", vbNormalFocus)
End Sub

Private Sub cmdSetBot_Click()
   Dim spos As String, wrd As String, ret As Integer
   spos = FTool.Exec("Z ?")
   ret = Give1stWord(spos, wrd): If (ret < 0) Then GoTo Err
   On Error GoTo Err
   ZBot = CDbl(wrd)
   Call DisplayValues
   Exit Sub
Err:
   lblMsg.Caption = sErr
End Sub

Private Sub cmdSetNum_Click()
   Dim ret As Integer
   On Error GoTo Err
   NumPlanes = CInt(txtNumPlanes.Text)
   ret = UpdateStepSize(): If (ret < 0) Then GoTo Err
   Call DisplayValues
   Exit Sub
Err:
   lblMsg.Caption = sErr
End Sub

Private Sub cmdSetStepSize_Click()
   Dim ret As Integer
   On Error GoTo Err
   StepSize = CDbl(txtStepSize.Text)
   ret = UpdateNumPlanes(): If (ret < 0) Then GoTo Err
   Call DisplayValues
   Exit Sub
Err:
   lblMsg.Caption = sErr
End Sub

Private Sub cmdSetTop_Click()
   Dim spos As String, wrd As String, ret As Integer
   spos = FTool.Exec("Z ?")
   ret = Give1stWord(spos, wrd): If (ret < 0) Then GoTo Err
   On Error GoTo Err
   ZTop = CDbl(wrd)
   Call DisplayValues
   Exit Sub
Err:
   lblMsg.Caption = sErr
End Sub

Private Sub cmdZStack_Click()
   Dim ret As Integer
   ret = AcquireZStack()
End Sub

Private Sub Form_Load()
   ZTop = UNDEF: ZBot = UNDEF: StepSize = UNDEF: NumPlanes = UNDEF
   
'  CHOOSE THE SERVER - COMMENT OUT ONE OF THE NEXT TWO LINES:
'   Set FTool = CreateObject("ScopeTool.ScopeToolCmd")
   Set FTool = CreateObject("LiftTool.LiftToolCmd")

   FTool.Exec ("Show")
   FTool.Exec ("Joy On")
   FTool.Exec ("Hide")
   
   'ALTERNATIVE SYNTAX
   'LiftToolCmd (<COMMAND STRING>)
   'ScopeToolCmd (<COMMAND STRING>)

End Sub

Private Sub Form_Unload(Cancel As Integer)
   FTool.Exec ("Unload")
End Sub

